US CISA orders federal agencies to fix Log4Shell by December 24th

US CISA ordered federal agencies to address the critical Log4Shell vulnerability in the Log4j library by December 24th, 2021.

US CISA ordered federal agencies to address the critical Log4Shell vulnerability in the Log4j library by December 24th, 2021. The order aims at preventing threat actors could exploit the vulnerability in attacks against government systems.

The CVE-2021-44228 flaw made the headlines last week, after Chinese security researcher p0rz9 publicly disclosed a Proof-of-concept exploit for the critical remote code execution zero-day vulnerability (aka Log4Shell) that affects the Apache Log4j Java-based logging library.

The impact of the issue is devastating, thousands of organizations worldwide are potentially exposed to attacks and security experts are already reported exploitation attempts in the wild.

Yesterday, the U.S. CISA added 13 new vulnerabilities to the Known Exploited Vulnerabilities Catalog, including the Apache Log4Shell Log4j.

The list includes the issues frequently used as an attack vector by threat actors in the wild and that pose significant risk to the federal enterprise.

The US agency also published an “Apache Log4j Vulnerability Guidance” that includes technical details about the vulnerability and provides and mitigation guidance.

“CISA and its partners, through the Joint Cyber Defense Collaborative, are tracking and responding to active, widespread exploitation of a critical remote code execution vulnerability (CVE-2021-44228) affecting Apache Log4j software library versions 2.0-beta9 to 2.14.1. Log4j is very broadly used in a variety of consumer and enterprise services, websites, and applications—as well as in operational technology products—to log security and performance information.” reads the announcement published by CISA. “CISA urges organizations to review its Apache Log4j Vulnerability Guidance webpage and upgrade to Log4j version 2.15.0, or apply the appropriate vendor recommended mitigations immediately.”

CISA also recommends 3 immediate actions:

enumerating internet-facing endpoints that use Log4j;ensuring that SOCs act on every alert on affected devices;installing a web application firewall (WAF) that automatically updates.

CISA recommends 3 immediate actions:

1⃣Enumerate internet-facing endpoints that use Log4j.

2⃣Ensure your #SOC is actioning every alert on devices that fall into the category above. 

3⃣Install a web application firewall that automatically updates.
2/2

— Cybersecurity and Infrastructure Security Agency (@CISAgov) December 13, 2021

In accordance with BOD 22-01, US CISA orders federal civilian executive branch agencies to address the Log4Shell by December 24, 2021. 

The US CISA recommends affected entities:

Review Apache’s Log4j Security Vulnerabilities page for additional information.Apply available patches immediately. See CISA’s upcoming GitHub repository for known affected products and patch information.Prioritize patching, starting with mission critical systems, internet-facing systems, and networked servers. Then prioritize patching other affected information technology and operational technology assets. Until patches are applied, set log4j2.formatMsgNoLookups to true by adding -Dlog4j2.formatMsgNoLookups=True to the Java Virtual Machine command for starting your application. Note: this may impact the behavior of a system’s logging if it relies on Lookups for message formatting. Additionally, this mitigation will only work for versions 2.10 and above. As stated above, BOD 22-01 directs federal civilian agencies to mitigate CVE-2021-44228 by December 24, 2021, as part of the Known Exploited Vulnerabilities Catalog.Conduct a security review to determine if there is a security concern or compromise. The log files for any services using affected Log4j versions will contain user-controlled strings. Consider reporting compromises immediately to CISA and the FBI.

Follow me on Twitter: @securityaffairs and Facebook

Pierluigi Paganini

(SecurityAffairs – hacking, Log4Shell)

The post US CISA orders federal agencies to fix Log4Shell by December 24th appeared first on Security Affairs.

Recent Posts
Contact Us

We're not around right now. But you can send us an email and we'll get back to you, asap.

Not readable? Change text. captcha txt